
#language: ru

@ProductsOfOrganizations

Функционал: 010. ProductsOfOrganizations. Установка дат запрета изменения данных(по объектам)

Сценарий: 010.1. ProductsOfOrganizations. Установка дат запрета изменения данных(по объектам)

	Дано Я подключаюсь под "Администратор"
	Дано я устанавливаю текущему сеансу заголовок приложения "15.010. Товары организаций"
	И В командном интерфейсе я выбираю 'Администрирование' 'Настройки пользователей и прав'
	Тогда открылось окно 'Настройки пользователей и прав'
	И я разворачиваю группу "Даты запрета изменения"
	И я нажимаю на кнопку 'Настроить'
	Тогда открылось окно 'Даты запрета изменения данных'
	И я нажимаю кнопку очистить у поля с именем "ДатаЗапретаПростойРежим"
	И из выпадающего списка с именем "СпособУказанияДатыЗапрета" я выбираю точное значение 'По разделам и объектам'
	И в таблице "ДатыЗапрета" я перехожу к строке:
		| 'Дата запрета'                 | 'Раздел, объект'          |
		| 'Общая дата для всех разделов' | 'Внутригрупповые обороты' |
	И в таблице "ДатыЗапрета" я нажимаю на кнопку с именем 'ДатыЗапретаПодобрать'
	Тогда открылось окно 'Выбор типа данных'
	И в таблице "" я перехожу к строке:
		| 'Колонка1'    |
		| 'Организация' |
	И я нажимаю на кнопку 'OK'
	Тогда открылось окно 'Организации'
	И в таблице "Список" я перехожу к строке:
		| 'Наименование' |
		| 'Организация2' |
	И я нажимаю на кнопку с именем 'ФормаВыбрать'
	И Я закрываю окно 'Организации'
	Тогда открылось окно 'Даты запрета изменения данных'
	И в таблице "ДатыЗапрета" я перехожу к строке:
		| 'Дата запрета'                                     | 'Раздел, объект' |
		| 'Общая дата для раздела "Внутригрупповые обороты"' | 'Организация2'   |
	И в таблице "ДатыЗапрета" в поле 'Действует по' я ввожу текст '19.12.2018'
	И в таблице "ДатыЗапрета" я завершаю редактирование строки
	И в таблице "ДатыЗапрета" я перехожу к строке:
		| 'Дата запрета'                 | 'Раздел, объект'          |
		| 'Общая дата для всех разделов' | 'Внутригрупповые обороты' |
	И в таблице "ДатыЗапрета" я нажимаю на кнопку с именем 'ДатыЗапретаПодобрать'
	Тогда открылось окно 'Выбор типа данных'
	И в таблице "" я перехожу к строке:
		| 'Колонка1' |
		| 'Склад'    |
	И я нажимаю на кнопку 'OK'
	Тогда открылось окно 'Склады'
	И в таблице "Список" я перехожу к строке:
		| 'Наименование'            |
		| 'Склад готовой продукции' |
	И в таблице "Список" я выбираю текущую строку
	И Я закрываю окно 'Склады'
	Тогда открылось окно 'Даты запрета изменения данных'
	И в таблице "ДатыЗапрета" я перехожу к строке:
		| 'Дата запрета'                                     | 'Раздел, объект'          |
		| 'Общая дата для раздела "Внутригрупповые обороты"' | 'Склад готовой продукции' |
	И в таблице "ДатыЗапрета" в поле 'Действует по' я ввожу текст '15.12.2018'
	И в таблице "ДатыЗапрета" я завершаю редактирование строки
	Тогда таблица "ДатыЗапрета" стала равной:
		| 'Раздел, объект'                   | 'Дата запрета'                 | 'Действует по' |
		| '<Общая дата для всех разделов>'   | 'Не установлена'               | ''             |
		| 'Внутригрупповые обороты'          | 'Общая дата для всех разделов' | ''             |
		| 'Организация2'                     | 'Произвольная дата'            | '19.12.2018'   |
		| 'Склад готовой продукции'          | 'Произвольная дата'            | '15.12.2018'   |
		| 'Возвраты товаров от клиентов'     | 'Общая дата для всех разделов' | ''             |
		| 'Обработка заказов клиентов'       | 'Общая дата для всех разделов' | ''             |
		| 'Обработка заказов на перемещение' | 'Общая дата для всех разделов' | ''             |
		| 'Обработка персональных данных'    | 'Общая дата для всех разделов' | ''             |
		| 'Финансовый результат'             | 'Общая дата для всех разделов' | ''             |
	И Я закрываю окно 'Даты запрета изменения данных'
	Тогда открылось окно 'Настройки пользователей и прав'
	И Я закрываю окно 'Настройки пользователей и прав'

Сценарий: 010.2. ProductsOfOrganizations. Проверка даты запрета в Внутригрупповых оборотах - передача товаров между организациями - по Организации

	И В командном интерфейсе я выбираю 'Заказы' 'Передача товаров между организациями'
	Тогда открылось окно 'Передача товаров между организациями'
	И я нажимаю на кнопку с именем 'ФормаСоздать'
	Тогда открылось окно 'Передача товаров между организациями (создание)'
	И в поле с именем "Дата" я ввожу текст '18.12.2018  0:00:00'
	И из выпадающего списка "Отправитель" я выбираю по строке 'Организация'
	И из выпадающего списка "Получатель" я выбираю по строке 'Организация2'
	И из выпадающего списка "Склад" я выбираю по строке 'Сырная ГП'
	И я перехожу к закладке "Товары"
	И в таблице "Товары" из выпадающего списка "Номенклатура" я выбираю по строке 'Сыр Адыгейский'
	И в таблице "Товары" из выпадающего списка "Характеристика" я выбираю по строке '<Без маркировки>'
	И в таблице "Товары" из выпадающего списка "Серия" я выбираю по строке '000001 до 27.10.2020 0:00:00'
	И в таблице "Товары" в поле 'Количество' я ввожу текст '10,000'
	И в таблице "Товары" в поле 'Цена, RUB' я ввожу текст '100,00'
	И я нажимаю на кнопку 'Провести и закрыть'
	Тогда открылось окно '1С:Предприятие'
	И я нажимаю на кнопку 'OK'
	Тогда открылось окно 'Передача товаров между организациями (создание) *'
	И Я закрываю окно 'Передача товаров между организациями (создание) *'
	Тогда открылось окно '1С:Предприятие'
	И я нажимаю на кнопку 'Нет'
	Тогда открылось окно 'Передача товаров между организациями'
	И Я закрываю окно 'Передача товаров между организациями'

Сценарий: 010.3. ProductsOfOrganizations. Проверка даты запрета в Внутригрупповых оборотах - передача товаров между организациями - по Складу

	И В командном интерфейсе я выбираю 'Заказы' 'Передача товаров между организациями'
	Тогда открылось окно 'Передача товаров между организациями'
	И я нажимаю на кнопку с именем 'ФормаСоздать'
	Тогда открылось окно 'Передача товаров между организациями (создание)'
	И в поле с именем "Дата" я ввожу текст '13.12.2018  0:00:00'
	И из выпадающего списка "Отправитель" я выбираю по строке 'Организация'
	И из выпадающего списка "Получатель" я выбираю по строке 'Организация'
	И из выпадающего списка "Склад" я выбираю по строке 'Склад готовой продукции'
	И я перехожу к закладке "Товары"
	И в таблице "Товары" из выпадающего списка "Номенклатура" я выбираю по строке 'Сыр Адыгейский'
	И в таблице "Товары" из выпадающего списка "Характеристика" я выбираю по строке '<Без маркировки>'
	И в таблице "Товары" из выпадающего списка "Серия" я выбираю по строке '000001 до 27.10.2020 0:00:00'
	И в таблице "Товары" в поле 'Количество' я ввожу текст '10,000'
	И в таблице "Товары" в поле 'Цена, RUB' я ввожу текст '100,00'
	И я нажимаю на кнопку 'Провести и закрыть'
	Тогда открылось окно '1С:Предприятие'
	И я нажимаю на кнопку 'OK'
	Тогда открылось окно 'Передача товаров между организациями (создание) *'
	И Я закрываю окно 'Передача товаров между организациями (создание) *'
	Тогда открылось окно '1С:Предприятие'
	И я нажимаю на кнопку 'Нет'
	Тогда открылось окно 'Передача товаров между организациями'
	И Я закрываю окно 'Передача товаров между организациями'

Сценарий: 010.4. ProductsOfOrganizations. Завершение

	И Я закрыл все окна клиентского приложения